Package io.papermc.paper.event.player

# Class PlayerFlowerPotManipulateEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
io.papermc.paper.event.player.PlayerFlowerPotManipulateEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerFlowerPotManipulateEvent extends PlayerEvent implements Cancellable
Called when a player places an item in or takes an item out of a flowerpot.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerFlowerPotManipulateEvent(@NotNull Player player, @NotNull Block flowerpot, @NotNull ItemStack item, boolean placing)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getFlowerpot()`
Gets the flowerpot that is involved in this event.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItem()`
Gets the item being placed, or taken from, the flower pot.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`boolean`
`isPlacing()`
Gets if the item is being placed into the flowerpot.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerFlowerPotManipulateEvent

public PlayerFlowerPotManipulateEvent(@NotNull @NotNull Player player, @NotNull @NotNull Block flowerpot, @NotNull @NotNull ItemStack item, boolean placing)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getFlowerpot

@NotNull public @NotNull Block getFlowerpot()
Gets the flowerpot that is involved in this event.

Returns:
  the flowerpot that is involved with this event

### getItem

@NotNull public @NotNull ItemStack getItem()
Gets the item being placed, or taken from, the flower pot. Check if placing with `isPlacing()`.

Returns:
  the item placed, or taken from, the flowerpot

### isPlacing

public boolean isPlacing()
Gets if the item is being placed into the flowerpot.

Returns:
  if the item is being placed into the flowerpot

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()